> ## Documentation Index
> Fetch the complete documentation index at: https://developer.embedly.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Customer (v2)

> This endpoint is used to update an existing customer's profile using the v2 API.

<ParamField path="customerId" type="string" required>
  The customer's unique identifier. **Example:**
  `3fa85f64-5717-4562-b3fc-2c963f66afa6`
</ParamField>

## Request Parameters

<ParamField body="organizationId" type="string" required>
  The organization's unique identifier.
</ParamField>

<ParamField body="firstName" type="string" optional>
  Customer's first name. **Example:** `John`
</ParamField>

<ParamField body="lastName" type="string" optional>
  Customer's last name. **Example:** `Doe`
</ParamField>

<ParamField body="middleName" type="string" optional>
  Customer's middle name.
</ParamField>

<ParamField body="dob" type="string" optional>
  Date of birth in ISO format. **Example:** `2026-04-10T05:13:56.119Z`
</ParamField>

<ParamField body="city" type="string" optional>
  Customer's residential city.
</ParamField>

<ParamField body="address" type="string" optional>
  Customer's residential address.
</ParamField>

<ParamField body="occupation" type="string" optional>
  Customer's occupation.
</ParamField>

<ParamField body="gender" type="string" optional>
  Customer's gender.
</ParamField>

<ParamField body="bvnverified" type="boolean" optional>
  Indicates whether the customer's BVN is verified.
</ParamField>

<ParamField body="ninVerified" type="boolean" optional>
  Indicates whether the customer's NIN is verified.
</ParamField>

<ParamField body="bvn" type="string" optional>
  Customer's BVN. **Example:** `12345678901`
</ParamField>

<ParamField body="nin" type="string" optional>
  Customer's NIN. **Example:** `23456789012`
</ParamField>

<ParamField body="maritalStatus" type="string" optional>
  Customer's marital status. **Example:** `Single`
</ParamField>

<ParamField body="pepDeclaration" type="boolean" optional>
  PEP declaration.
</ParamField>

<ParamField body="employmentStatus" type="string" optional>
  Employment status. **Example:** `Employed`
</ParamField>

<ParamField body="sourceOfFunds" type="string" optional>
  Source of funds. **Example:** `MonthlySalary`
</ParamField>

<ParamField body="passportUrl" type="string" optional>
  URL to customer's passport photograph.
</ParamField>

<ParamField body="nextOfKin" type="object" optional>
  Next of kin details with fields: `surname`, `firstName`, `otherNames`,
  `relationship`, `mobileNumber`, `address`.
</ParamField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "code": "00",
    "success": true,
    "message": "Updated Successfully",
    "data": true
  }
  ```

  ```json 400 Bad Request theme={null}
  {
    "code": "400",
    "success": false,
    "message": "firstName cannot be changed after KYC verification",
    "data": null
  }
  ```

  ```json 500 Internal Server Error theme={null}
  {
    "code": "500",
    "success": false,
    "message": "An unexpected error occurred",
    "data": null
  }
  ```
</ResponseExample>
